Debian Bug report logs - #600374
mokomaze: uses non-free, possibly non-distributable icons

version graph

Package: mokomaze; Maintainer for mokomaze is Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>; Source for mokomaze is src:mokomaze.

Reported by: Paul Wise <pabs@debian.org>

Date: Sat, 16 Oct 2010 15:21:01 UTC

Severity: serious

Tags: patch

Found in version mokomaze/0.5.5+git8-1

Fixed in version mokomaze/0.5.5+git8+dfsg0-0.1

Done: Didier Raboud <didier@raboud.com>

Bug is archived. No further changes may be made.

Forwarded to Anton Olkhovik <ant007h@gmail.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sat, 16 Oct 2010 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sat, 16 Oct 2010 15:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mokomaze: uses non-free, possibly non-distributable icons
Date: Sat, 16 Oct 2010 23:18:27 +0800
[Message part 1 (text/plain, inline)]
Package: mokomaze
Version: 0.5.5+git8-1
Severity: serious
Forwarded: Anton Olkhovik <ant007h@gmail.com>

The upstream README contains this info about the graphics:

  Graphic content
  ---------------
  All the pictures are made by the author of the game. The exception is
  "Blue Velvet" Icons (used as a part of GUI) by http://dryicons.com which
  is destributed under DryIcons Free License. The logo of Mokomaze was
  created under the impression of Neverball logo.

The DryIcons Free License is available here:

  http://dryicons.com/terms/free/

It is clearly non-free and possibly non-distributable on CDs and similar.

I've forwarded this bug upstream so hopefully they will apply my patches
and replace these icons with something DSFG-free.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sun, 14 Nov 2010 23:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 14 Nov 2010 23:45:12 GMT) Full text and rfc822 format available.

Message #10 received at 600374@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Paul Wise <pabs@debian.org>, 600374@bugs.debian.org
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sun, 14 Nov 2010 17:39:58 -0600
[Message part 1 (text/plain, inline)]
Hello,

On Sat, Oct 16, 2010 at 11:18:27PM +0800, Paul Wise wrote:

> I've forwarded this bug upstream so hopefully they will apply my patches
> and replace these icons with something DSFG-free.

Paul, since you have made patches, could you upload a fixed version
to Debian and resolve this RC bug?

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Mon, 15 Nov 2010 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Mon, 15 Nov 2010 00:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 600374@bugs.debian.org, Anton Olkhovik <ant007h@gmail.com>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Mon, 15 Nov 2010 07:11:45 +0700
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-14 at 17:39 -0600, Steve M. Robbins wrote:
> On Sat, Oct 16, 2010 at 11:18:27PM +0800, Paul Wise wrote:
> 
> > I've forwarded this bug upstream so hopefully they will apply my patches
> > and replace these icons with something DSFG-free.
> 
> Paul, since you have made patches, could you upload a fixed version
> to Debian and resolve this RC bug?

I should clarify. The patches I wrote are for other issues (mostly
autotools cleanup). When I sent the patches upstream I also informed the
maintainer about the non-free icons. I quote from our email exchange:

On Sat, 2010-10-16 at 23:26 +0800, Paul Wise wrote:

> In addition it appears that the "Blue Velvet" icons you are using are
> non-free anyway and you and I do not have permission to modify them or
> distribute them on CD or anywhere else not on the Internet:
> 
> http://bugs.debian.org/600374
> http://dryicons.com/terms/free/

On Sat, 2010-10-16 at 20:43 +0400, Anton Olkhovik wrote:

> Yes, they are needed to be replaced, but I have no skill in drawing
> and I'm not familiar with any artist that will draw for free. Maybe
> some suitable icons can be found within KDE/Gnome themes.

Anton, did you make any progress in finding some replacements?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Mon, 15 Nov 2010 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Mon, 15 Nov 2010 10:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 600374@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 600374@bugs.debian.org
Subject: Remove from testing?
Date: Mon, 15 Nov 2010 10:23:18 +0000
[Message part 1 (text/plain, inline)]
Hello,

after a quick chat on IRC: squeeze won't be useful in openmoko systems
without at least some bits from sid and experimental.

Therefore it does not make sense to put effort in fixing this in time
for squeeze, and we can just remove mokomaze from testing and give
upstream all the time they need to work on it.


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sat, 20 Nov 2010 16:30:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sat, 20 Nov 2010 16:30:26 GMT) Full text and rfc822 format available.

Message #25 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 600374@bugs.debian.org, Anton Olkhovik <ant007h@gmail.com>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sat, 20 Nov 2010 23:57:28 +0800
[Message part 1 (text/plain, inline)]
On Mon, 2010-11-15 at 07:11 +0700, Paul Wise wrote:
> On Sat, 2010-10-16 at 20:43 +0400, Anton Olkhovik wrote:
> 
> > Yes, they are needed to be replaced, but I have no skill in drawing
> > and I'm not familiar with any artist that will draw for free. Maybe
> > some suitable icons can be found within KDE/Gnome themes.
> 
> Anton, did you make any progress in finding some replacements?

Quick update, Anton found kde.svgz from the Oxygen icon theme (LGPL) to
be a suitable replacement for the blue bits. And the ball from
mokomaze.png was a modified version of the logo of neverball (GPL)

I've just now sent him a patch for building all the icons from source
using rsvg-convert, so that there are no pre-built images without source
code in the tarball, ensuring license compliance for kde.svg from Oxygen
and neverlogos.svg from Neverball.

-- 
bye,
pabs

http://bonedaddy.net/pabs3/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sat, 20 Nov 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sat, 20 Nov 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #30 received at 600374@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Paul Wise <pabs3@bonedaddy.net>, nomeata@debian.org
Cc: 600374@bugs.debian.org, Anton Olkhovik <ant007h@gmail.com>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sat, 20 Nov 2010 13:36:13 -0600
[Message part 1 (text/plain, inline)]
On Sat, Nov 20, 2010 at 11:57:28PM +0800, Paul Wise wrote:

> Quick update, Anton found kde.svgz from the Oxygen icon theme (LGPL) to
> be a suitable replacement for the blue bits. And the ball from
> mokomaze.png was a modified version of the logo of neverball (GPL)
> 
> I've just now sent him a patch for building all the icons from source
> using rsvg-convert, so that there are no pre-built images without source
> code in the tarball, ensuring license compliance for kde.svg from Oxygen
> and neverlogos.svg from Neverball.

That's awesome!  

Now, how can we resolve the RC bug in Debian :-)  Joachim or Paul: are
you going to coordinate an upload for this with the release team?

Cheers,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sun, 21 Nov 2010 02:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 21 Nov 2010 02:18:08 GMT) Full text and rfc822 format available.

Message #35 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: nomeata@debian.org, 600374@bugs.debian.org, Anton Olkhovik <ant007h@gmail.com>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sun, 21 Nov 2010 10:12:04 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2010-11-20 at 13:36 -0600, Steve M. Robbins wrote:

> Now, how can we resolve the RC bug in Debian :-)  Joachim or Paul: are
> you going to coordinate an upload for this with the release team?

Joachim says he no longer does Openmoko stuff, so someone else in the
pkg-fso team needs to do the upload. I'm willing to sponsor an upload to
fix this issue if pkg-fso doesn't have enough DDs.

I'm not sure if the release team would accept the patch since it means a
new build-dep on librsvg2-bin and autotools, then the build system needs
to be regenerated before configure time.

Keep in mind that upstream hasn't yet accepted the attached patch, so we
should probably wait until he does that:

0001-Build-all-the-images-from-a-set-of-SVG-files.patch

To see what the things should look like after the patch, do this:

git clone git://github.com/Sektor/mokomaze.git
cd mokomaze
git am path/to/0001-Build-all-the-images-from-a-set-of-SVG-files.patch

To get the patch needed for debian/patches:

git checkout -b debian-dfsg-icons 11610f221be12205e87747aa2b735917eccb7258
git merge --squash master
git commit
<merge log entries as appropriate>
git am 11610f221be12205e87747aa2b735917eccb7258
git format-patch HEAD~

To find out which files need to be removed from the orig.tar.gz:

git diff 11610f221be12205e87747aa2b735917eccb7258 master  | grep 'Binary files'

-- 
bye,
pabs

http://bonedaddy.net/pabs3/
[0001-Build-all-the-images-from-a-set-of-SVG-files.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 21 Nov 2010 02:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sun, 21 Nov 2010 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 21 Nov 2010 03:48:03 GMT) Full text and rfc822 format available.

Message #42 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: nomeata@debian.org, 600374@bugs.debian.org, Anton Olkhovik <ant007h@gmail.com>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sun, 21 Nov 2010 11:44:03 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-21 at 10:12 +0800, Paul Wise wrote:

> I'm not sure if the release team would accept the patch since it means a
> new build-dep on librsvg2-bin and autotools, then the build system needs
> to be regenerated before configure time.

Actually the patch is a bit broken since it generates larger icons than
before causing the UI to look a bit weird. Here is an updated version.

-- 
bye,
pabs

http://bonedaddy.net/pabs3/
[0001-Build-all-the-images-from-a-set-of-SVG-files.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sun, 21 Nov 2010 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 21 Nov 2010 13:18:05 GMT) Full text and rfc822 format available.

Message #47 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 600374 <600374@bugs.debian.org>
Subject: Re: Bug#600374: mokomaze: uses non-free, possibly non-distributable icons
Date: Sun, 21 Nov 2010 21:16:13 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-21 at 10:12 +0800, Paul Wise wrote:

> Keep in mind that upstream hasn't yet accepted the attached patch, so we
> should probably wait until he does that:

Upstream has now merged the second patch, so if you want to make an
upload to fix this bug, now is the time to do so.

-- 
bye,
pabs

http://bonedaddy.net/pabs3/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Sun, 28 Nov 2010 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Sun, 28 Nov 2010 11:27:05 GMT) Full text and rfc822 format available.

Message #52 received at 600374@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 600374@bugs.debian.org
Cc: Enrico Zini <enrico@enricozini.org>, Paul Wise <pabs3@bonedaddy.net>, Anton Olkhovik <ant007h@gmail.com>
Subject: #600374: Mokomaze: Removal asked
Date: Sun, 28 Nov 2010 12:24:03 +0100
[Message part 1 (text/plain, inline)]
Hi, 

In the light of the discussion in this RC bug (in particular #20), I asked for a 
removal of the mokomaze package from Squeeze.

See bug #605205 for the reasoning (and if you want to argue in favor or 
against).

Cheers, 

OdyX, live from the BSP Bern.
-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Mon, 29 Nov 2010 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Mon, 29 Nov 2010 02:21:03 GMT) Full text and rfc822 format available.

Message #57 received at 600374@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: "Didier 'OdyX' Raboud" <didier@raboud.com>
Cc: 600374@bugs.debian.org, Enrico Zini <enrico@enricozini.org>, Anton Olkhovik <ant007h@gmail.com>, 605205@bugs.debian.org
Subject: Re: #600374: Mokomaze: Removal asked
Date: Mon, 29 Nov 2010 10:18:55 +0800
[Message part 1 (text/plain, inline)]
On Sun, 2010-11-28 at 12:24 +0100, Didier 'OdyX' Raboud wrote:

> In the light of the discussion in this RC bug (in particular #20), I asked for a 
> removal of the mokomaze package from Squeeze.
> 
> See bug #605205 for the reasoning (and if you want to argue in favor or 
> against).

I don't think those reasons apply any longer since they were mainly
about giving upstream time to fix the bug and the removal from testing
took longer than the fix.

While there isn't a Linux image or bootloader in squeeze that can run on
the OpenMoko FreeRunner, that doesn't mean that mokomaze isn't useful on
other systems running squeeze, for example it supports the ThinkPad
HDAPS device or just a plain keyboard. I've personally played it on my
laptop using just the keyboard. In addition people can run a custom
kernel/bootloader on the OpenMoko FreeRunner and squeeze will work just
fine.

We are just waiting on the pkg-fso team to make an upload removing the
icons and adding the patch I sent upstream.

-- 
bye,
pabs

http://bonedaddy.net/pabs3/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Wed, 08 Dec 2010 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Wed, 08 Dec 2010 10:15:03 GMT) Full text and rfc822 format available.

Message #62 received at 600374@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Paul Wise <pabs3@bonedaddy.net>, 600374@bugs.debian.org
Cc: Enrico Zini <enrico@enricozini.org>, Anton Olkhovik <ant007h@gmail.com>
Subject: #600374: NMU for Mokomaze ?
Date: Wed, 8 Dec 2010 11:12:03 +0100
[Message part 1 (text/plain, inline)]
Le Monday 29 November 2010 03:18:55 Paul Wise, vous avez écrit :
> We are just waiting on the pkg-fso team to make an upload removing the
> icons and adding the patch I sent upstream.

Hi,

(Removing the RM bug CC, I'll send a mail to both bugreports if/when the
upload is done.)

As there hasn't been much of an answer from the pkg-fso team, I'd like to
propose an NMU for mokomaze, in order to get this RC bug solved in time
for Squeeze. Its changelog entry would be: 

> mokomaze (0.5.5+git8+dfsg0-0.1) unstable; urgency=low
> 
>   * Non-maintainer upload.
>   * Repack the orig tarball to remove non-free files (Closes: #600374)
>     - therefore cherry-pick two upstream commits:
>       + [084f1e7] Menu icons replaced with the free ones.
>       + [920fb49] Build all the images from a set of SVG files.
>     - Add a librsvg2-bin B-D to build the png images from their svg source.
>     - Add automake B-Ds and an autoreconf call before the build.
>     - Thanks go to Paul Wise for the patches.
> 
>  -- Didier Raboud <didier@raboud.com>  Wed, 08 Dec 2010 10:23:12 +0100

I pushed the git repository I used to prepare the orig tarball there:

http://git.debian.org/?p=users/odyx-guest/mokomaze-orig.git (branch dfsg-free)

and my update of the packaging git repository there:

http://git.debian.org/?p=users/odyx-guest/mokomaze.git (branch debian-squeeze)

I built the package and pushed it to alioth:

http://alioth.debian.org/~odyx-guest/debian/unstable/mokomaze_0.5.5+git8+dfsg0-0.1.dsc

Now if one DD could review and upload this package for me, it'd be great. After
the upload, I'll send a mail to debian-release + the RM bug (#605205) to ask the
Release Team to choose between an unblock and a removal.

Cheers, 

OdyX
-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Wed, 08 Dec 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Reichel <elektranox@gmail.com>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Wed, 08 Dec 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #67 received at 600374@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <elektranox@gmail.com>
To: 600374@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#600374: #600374: NMU for Mokomaze ?
Date: Wed, 8 Dec 2010 13:17:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Dec 08, 2010 at 11:12:03AM +0100, Didier 'OdyX' Raboud wrote:
> Le Monday 29 November 2010 03:18:55 Paul Wise, vous avez écrit :
> > We are just waiting on the pkg-fso team to make an upload removing the
> > icons and adding the patch I sent upstream.
> 
> Hi,
> 
> (Removing the RM bug CC, I'll send a mail to both bugreports if/when the
> upload is done.)
> 
> As there hasn't been much of an answer from the pkg-fso team, I'd like to
> propose an NMU for mokomaze, in order to get this RC bug solved in time
> for Squeeze. Its changelog entry would be: 

Sorry for the long delay, I waited for Joachim (nomeata) to
eventually answer you. The package was previously maintained
by him, but he is no longer active in pkg-fso.

> > mokomaze (0.5.5+git8+dfsg0-0.1) unstable; urgency=low
> > 
> >   * Non-maintainer upload.
> >   * Repack the orig tarball to remove non-free files (Closes: #600374)
> >     - therefore cherry-pick two upstream commits:
> >       + [084f1e7] Menu icons replaced with the free ones.
> >       + [920fb49] Build all the images from a set of SVG files.
> >     - Add a librsvg2-bin B-D to build the png images from their svg source.
> >     - Add automake B-Ds and an autoreconf call before the build.
> >     - Thanks go to Paul Wise for the patches.
> > 
> >  -- Didier Raboud <didier@raboud.com>  Wed, 08 Dec 2010 10:23:12 +0100

Changelog looks fine to me. go on :)

> I pushed the git repository I used to prepare the orig tarball there:
> 
> http://git.debian.org/?p=users/odyx-guest/mokomaze-orig.git (branch dfsg-free)
> 
> and my update of the packaging git repository there:
> 
> http://git.debian.org/?p=users/odyx-guest/mokomaze.git (branch debian-squeeze)
> 
> I built the package and pushed it to alioth:
> 
> http://alioth.debian.org/~odyx-guest/debian/unstable/mokomaze_0.5.5+git8+dfsg0-0.1.dsc

Do you want to become a member of pkg-fso and push the git stuff
into [0]?

> Now if one DD could review and upload this package for me, it'd be great. After
> the upload, I'll send a mail to debian-release + the RM bug (#605205) to ask the
> Release Team to choose between an unblock and a removal.

I'm currently busy, but I can check it this evening.

-- Sebastian

[0] http://git.debian.org/?p=pkg-fso/mokomaze.git;a=summary
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Wed, 08 Dec 2010 14:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Wed, 08 Dec 2010 14:27:06 GMT) Full text and rfc822 format available.

Message #72 received at 600374@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Sebastian Reichel <elektranox@gmail.com>
Cc: 600374@bugs.debian.org, Xavier Oswald <xoswald@debian.org>
Subject: Re: [pkg-fso-maint] Bug#600374: #600374: NMU for Mokomaze ?
Date: Wed, 8 Dec 2010 15:10:22 +0100
[Message part 1 (text/plain, inline)]
Le Wednesday 8 December 2010 13:17:10 Sebastian Reichel, vous avez écrit :
> On Wed, Dec 08, 2010 at 11:12:03AM +0100, Didier 'OdyX' Raboud wrote:
> > As there hasn't been much of an answer from the pkg-fso team, I'd like to
> > propose an NMU for mokomaze, (…)
> 
> Sorry for the long delay, I waited for Joachim (nomeata) to
> eventually answer you. The package was previously maintained
> by him, but he is no longer active in pkg-fso.

No problem.

> > > mokomaze (0.5.5+git8+dfsg0-0.1) unstable; urgency=low
> > > 
> > >   * Non-maintainer upload.
> > >   * Repack the orig tarball to remove non-free files (Closes: #600374)
> > >   
> > >     - therefore cherry-pick two upstream commits:
> > >       + [084f1e7] Menu icons replaced with the free ones.
> > >       + [920fb49] Build all the images from a set of SVG files.
> > >     
> > >     - Add a librsvg2-bin B-D to build the png images from their svg
> > >     source. - Add automake B-Ds and an autoreconf call before the
> > >     build. - Thanks go to Paul Wise for the patches.
> > >  
> > >  -- Didier Raboud <didier@raboud.com>  Wed, 08 Dec 2010 10:23:12 +0100
> 
> Changelog looks fine to me. go on :)

If all goes fine, Xavier Oswald will upload this for me during the day.

> Do you want to become a member of pkg-fso and push the git stuff
> into [0]?

Hrm. While the offer is tempting, I'm too overloaded already, so "no thanks". 
With the git repositories I linked here, you should be able to import my changes 
without me doing it…

> > Now if one DD could review and upload this package for me, it'd be great.
> > After the upload, I'll send a mail to debian-release + the RM bug
> > (#605205) to ask the Release Team to choose between an unblock and a
> > removal.
> 
> I'm currently busy, but I can check it this evening.

I'll send the NMUdiff as soon as the package is uploaded, so stay tuned. :-)

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team):
Bug#600374; Package mokomaze. (Thu, 09 Dec 2010 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to pkg-fso-maint@lists.alioth.debian.org (Debian FreeSmartphone.Org Team). (Thu, 09 Dec 2010 09:48:03 GMT) Full text and rfc822 format available.

Message #77 received at 600374@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 600374@bugs.debian.org
Cc: Xavier Oswald <xoswald@debian.org>, Paul Wise <pabs@debian.org>
Subject: mokomaze: diff for NMU version 0.5.5+git8+dfsg0-0.1
Date: Thu, 9 Dec 2010 10:44:30 +0100
[Message part 1 (text/plain, inline)]
tags 600374 + pending
thanks

Dear maintainer,

I've prepared an NMU for mokomaze (versioned as 0.5.5+git8+dfsg0-0.1) and
got it uploaded by Xavier Oswald (xoswald) to DELAYED/2. Please feel free to 
tell me if I get it delayed any longer.

Regards,

OdyX

N.B. The debdiff being huge, I compressed it…

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[mokomaze_0.5.5+git8+dfsg0-0.1.debdiff.bz2 (application/x-bzip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from "Didier 'OdyX' Raboud" <didier@raboud.com> to control@bugs.debian.org. (Thu, 09 Dec 2010 09:48:07 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <didier@raboud.com>:
You have taken responsibility. (Fri, 10 Dec 2010 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Fri, 10 Dec 2010 22:51:05 GMT) Full text and rfc822 format available.

Message #84 received at 600374-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: 600374-close@bugs.debian.org
Subject: Bug#600374: fixed in mokomaze 0.5.5+git8+dfsg0-0.1
Date: Fri, 10 Dec 2010 22:47:06 +0000
Source: mokomaze
Source-Version: 0.5.5+git8+dfsg0-0.1

We believe that the bug you reported is fixed in the latest version of
mokomaze, which is due to be installed in the Debian FTP archive:

mokomaze_0.5.5+git8+dfsg0-0.1.diff.gz
  to main/m/mokomaze/mokomaze_0.5.5+git8+dfsg0-0.1.diff.gz
mokomaze_0.5.5+git8+dfsg0-0.1.dsc
  to main/m/mokomaze/mokomaze_0.5.5+git8+dfsg0-0.1.dsc
mokomaze_0.5.5+git8+dfsg0-0.1_amd64.deb
  to main/m/mokomaze/mokomaze_0.5.5+git8+dfsg0-0.1_amd64.deb
mokomaze_0.5.5+git8+dfsg0.orig.tar.gz
  to main/m/mokomaze/mokomaze_0.5.5+git8+dfsg0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600374@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <didier@raboud.com> (supplier of updated mokomaze package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 08 Dec 2010 10:23:12 +0100
Source: mokomaze
Binary: mokomaze
Architecture: source amd64
Version: 0.5.5+git8+dfsg0-0.1
Distribution: unstable
Urgency: low
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Didier Raboud <didier@raboud.com>
Description: 
 mokomaze   - Ball-in-labyrith-game for the FreeRunner
Closes: 600374
Changes: 
 mokomaze (0.5.5+git8+dfsg0-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Repack the orig tarball to remove non-free files (Closes: #600374)
     - therefore cherry-pick two upstream commits:
       + [084f1e7] Menu icons replaced with the free ones.
       + [920fb49] Build all the images from a set of SVG files.
     - Add a librsvg2-bin B-D to build the png images from their svg source.
     - Add automake B-Ds and an autoreconf call before the build.
     - Thanks go to Paul Wise for the patches.
Checksums-Sha1: 
 a167accdb71922f1fb8fc3b2c3b892903a42b87d 2089 mokomaze_0.5.5+git8+dfsg0-0.1.dsc
 466f1549ed44fc541f3f495ca5bf7e9cb7376b4e 783623 mokomaze_0.5.5+git8+dfsg0.orig.tar.gz
 82f090198c8429cfd7d95ed0725dd9c2f6f44ae7 2888 mokomaze_0.5.5+git8+dfsg0-0.1.diff.gz
 42018e044d63458af2fe3619c04886c1d13b170d 515362 mokomaze_0.5.5+git8+dfsg0-0.1_amd64.deb
Checksums-Sha256: 
 7fe1b6d5aa2967c998b2e5535656b69df9b2bce196b0e998e56fa1443334c876 2089 mokomaze_0.5.5+git8+dfsg0-0.1.dsc
 a2882d953628666e57c99f1d895d046897d7a6f5dbd038fb941b8dca6e48871b 783623 mokomaze_0.5.5+git8+dfsg0.orig.tar.gz
 8ff717f507f21946c157195b1ddc038e8ba50d5d6dbb04a7c51be5efb076804f 2888 mokomaze_0.5.5+git8+dfsg0-0.1.diff.gz
 47f7c8cf4c449d646327adcfef5db7d48d0732fd5dbca10c9709dde17174b456 515362 mokomaze_0.5.5+git8+dfsg0-0.1_amd64.deb
Files: 
 bbc1840a17791e537dd24ed52abbe01f 2089 games extra mokomaze_0.5.5+git8+dfsg0-0.1.dsc
 1214448491408100952c88ec3d645074 783623 games extra mokomaze_0.5.5+git8+dfsg0.orig.tar.gz
 5b5d639362f0e11e29ff9ee192a6462b 2888 games extra mokomaze_0.5.5+git8+dfsg0-0.1.diff.gz
 c819cae00a6edaed6e7d31545bdab419 515362 games extra mokomaze_0.5.5+git8+dfsg0-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNAARqAAoJEIW5DSNGS43jQDEP/2IH1mLHlYYip4E1ICbqFQKk
qJ6H+c9NdFhieNj6xhRh20goocurrhluHLKVp6dU7M0aZe/6kRRH6t8rFP79WD3t
VI/bagQklZcVy5/n5bQJwbO5dA5rbu55gd3P5MytPPmV3djU7gtGwD59Dnds3n27
r8ocDfZD8z1Hzm4FThmJ7XZGzAtJ1g6LXnxUlM699AzyrkV08gIovYAqpPueakQV
ZSTUnBSbMmyjMBo4DEDkdpFGiVT7EZERr5ZBkpLFqUmMfy3BVRVS3vCaselkHHFJ
8mwQJw4SL1nwtM3TMZdxOhbzVKD/6R6zF/yDwn9/hynYh8edRY/jjuswsWGaxKvq
yzcs3SJeUxa0nU2r/cegobn5AfxYtnvPgnzocdobHrBs6FPULh53Oe6NNT6UEImK
kAcW1zF7WKaTi33lP2EIi1HKB2APJVHPhjGJB9I4h89ny3+Q9bJTTrJ8eWYnQOVs
bFdj4B3XW9WwbwlYKTCzw11mT+55xvSF4eq+NBFU0LDnX+7zBdoMw8ZwNaC11kUr
hozyZ19AJAjlphIDYRU/f5bLvgQR0PyauGtiidiy0XzLdCedhXZ3pTaqNA58dumc
2Un8E+HZlvzpeZqh1c8/3QiklPBbAdN+Bw/0YHB4u8PS73PBNMOAzJDh8A0bAo2U
LJJX4FHhmn1gLFY1Klny
=fz1T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 07:44:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:08:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.